Bug 816604 - "Failed to load resource composite data" message is incorrectly logged when already logged out user tries to browse resources
"Failed to load resource composite data" message is incorrectly logged when a...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 09:45 EDT by bkramer
Modified: 2012-04-30 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bkramer 2012-04-26 09:45:20 EDT
Description of problem:

1. The user login to the JON UI and start to browse;
2. Right click on "Inventory" link at the top of the UI and open a new tab;
3. Logout from the new tab;
4. Go back to the first tab and attempt to select any child resource. The
following message will be displayed near the top of the screen:

"Resource with id [xyz] does not exist or is not accessible".

5. Click on "Platforms" and you the following message will be logged:

"Failed to load resource composite data"


Version-Release number of selected component (if applicable):
JON 3.0.1

How reproducible:
Always

Steps to Reproduce:
1. 
2.
3.

Actual results: 

The messages that are logged do not reflect the true state that the user has
been logged out. 


Expected results:
We should log correct message so that user knows that he needs to login again.

Additional info:

These are logged in the Message Center:

Message : 
Failed to load data for this node
Severity : 
Error

Time : 
Thursday, April 26, 2012 1:45:57 PM Etc/GMT-1
Detail : 

com.google.gwt.user.client.rpc.InvocationException:
--- STACK TRACE FOLLOWS ---

   at
Unknown.java_lang_Throwable_fillInStackTrace__Ljava_lang_Throwable_2(Unknown
source:0)
   at
Unknown.com_google_gwt_user_client_rpc_InvocationException_$InvocationException__Lcom_google_gwt_user_client_rpc_InvocationException_2Ljava_lang_String_2Lcom_google_gwt_user_client_rpc_InvocationException_2(Unknown
source:0)
   at
Unknown.com_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_$onResponseReceived__Lcom_google_gwt_user_client_rpc_impl_RequestCallbackAdapter_2Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown
source:0)
   at
Unknown.org_rhq_enterprise_gui_coregui_client_util_rpc_TrackingRequestCallback_onResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_Response_2V(Unknown
source:0)
   at
Unknown.com_google_gwt_http_client_Request_$fireOnResponseReceived__Lcom_google_gwt_http_client_Request_2Lcom_google_gwt_http_client_RequestCallback_2V(Unknown
source:0)
   at
Unknown.com_google_gwt_http_client_RequestBuilder$1_onReadyStateChange__Lcom_google_gwt_xhr_client_XMLHttpRequest_2V(Unknown
source:0)
   at Unknown.anonymous(Unknown source:0)
   at
Unknown.com_google_gwt_core_client_impl_Impl_entry0__Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2Ljava_lang_Object_2(Unknown
source:0)
   at Unknown.anonymous(Unknown source:0)
   at Unknown.anonymous(Unknown source:0)


****************************************************************************

Message : 
Resource with id [10181] does not exist or is not accessible
Severity : 
Warning

Time : 
Thursday, April 26, 2012 1:47:21 PM Etc/GMT-1
Detail :
Comment 1 Mike Foley 2012-04-30 12:02:11 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.